$regfile = "m88def.dat"
$crystal = 8000000

'Config Lcd stelt de Lcd poort pinnen in
Config Lcdpin = Pin , Db4 = Portb.2 , Db5 = Portb.3 , Db6 = Portb.4 , Db7 = Portb.5 , E = Portb.1 , Rs = Portb.0
Config Lcdbus = 4                                           'Selecteer 4 bits mode
Config Lcd = 16 * 2                                         '16*2 type LCD display
'U kunt uw eigen LCD karakters maken met het Deflcdchar commando
'Gebruik hiervoor de Bascom LCD Designer, Tools -> LCD Designer menu
Cursor Off Noblink                                          'Geen cursor
                                       'Geen cursor

Cls                                                         'Dit maakt het scherm leeg

  Config Pinc.1 = Output                                    'contact 1st motor
  Config Pinc.2 = Output                                    'contact 2st motor
  Config Pinc.3 = Output                                    'contact 3st
  Config Pinc.4 = Output                                    'contact 4st
  Config Pinc.5 = Output                                    'bascom 3


  Config Pind.1 = Input                                     'bascom 1

  Dim A As Word


  Do
  Gosub Signaal
  Gosub Motor
  Gosub Bascom3
Loop



   Signaal:

   If Pind.1 = 1 Then Goto Motor


   A = 0

   Motor:

   Do
   Set Pinc.1
   Waitms 50
   Reset Pinc.1
   Waitms 50
   Set Pinc.2
   Waitms 50
   Reset Pinc.2
   Waitms 50
   Set Pinc.3
   Waitms 50
   Reset Pinc.3
   Waitms 50
   Set Pinc.4
   Waitms 50
   Reset Pinc.4
   Waitms 50

   Loop Until A = 80


   Bascom3:
 Locate 1 , 1 : Lcd "signaal 3"
   Locate 2 , 1 : Lcd "bascom 3"
   Set Pinc.5
   Waitms 500
   Reset Pinc.5
   Cls
   Return



   End